<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Teilnehmer\ExportTable;

abstract class TeilnehmerExportTableController extends \Kufer\Web\KuferTools\Basis\Controller\Controller
{
  protected function getNewRequestObj()
  {
    return new TeilnehmerExportTableRequest();
  }

  protected function getRequestObj()
  {
    $request = $this->getNewRequestObj();
    $request->knr = \GetOperations::getVarValue('knr');
    $request->belids = \RequestOperations::getVarValue('belids', array());

    return $request;
  }
}